datacache <- new.env(hash=TRUE, parent=emptyenv())

mogene10st <- function() showQCData("mogene10st", datacache)
mogene10st_dbconn <- function() dbconn(datacache)
mogene10st_dbfile <- function() dbfile(datacache)
mogene10st_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mogene10st_dbInfo <- function() dbInfo(datacache)

mogene10stORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mogene10st.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.MOUSECHIP_DB("mogene10st", "chip mogene10st", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mogene10st_dbconn())
}

